# User-Defined Macros:
# %%define <name> <expansion>
%define Name		wmapm
%define Version		1.1
%define Release		2


Summary: dockable clock applet for Window Maker
Name: %{Name}
Version: %{Version}
Release: %{Release}
Copyright: GPL2
Group: User Interface/X
URL: http://www.ne.jp/asahi/linux/timecop/software
Source0: http://www.ne.jp/asahi/linux/timecop/software/%{Name}-%{Version}.tar.gz

BuildRoot: %{_tmppath}/%{Name}-%{Version}-%{Release}-root


%description
This is your typical laptop APM (Advanced Power Management) dockapp.
One interesting feature is "timer" mode, where you can keep track of
how long the laptop has been "on battery". This is opposite of the
information usually provided by the BIOS, which is "time remaining",
and in many cases wrong. This option can be toggled at run-time.
System messages scroll on the bottom of the window, AC plug flashes
when battery is charging, and green LED inside the big button flashes
red if battery level is critical low.


%prep
%setup


%build
make 


%install

for i in \
  %{_bindir} \
; do
  mkdir -p "${RPM_BUILD_ROOT}${i}"
done

cp wmapm ${RPM_BUILD_ROOT}/%{_bindir}



%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%attr(-   ,root,root) %doc COPYING README AUTHORS ChangeLog
%attr(0755,root,root) %{_bindir}/wmapm


%changelog
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun  6 2002 Tim Powers <timp@redhat.com>
- bump release number and rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Feb 14 2002 Philip Copeland <bryce@redhat.com>
- Tweaked for the RHAT build system
